local E = {
    ID = "edgeoftimejodie",
    Base = "base",
    Name = "Edge Of Time",
    Category = "Exteriors.Categories.PoliceBoxes",
    Model = "models/FuzzyLeo/EdgeOfReality/ExteriorJodiehollow.mdl",
    ScannerOffset = Vector(42,0,50),
    Fallback={
        pos=Vector(48,0,6),
        ang=Angle(0,0,0)
    },
    PhaseMaterial = "models/FuzzyLeo/EdgeOfReality/phasemat.vmt",
    DoorAnimationTime = 0.55,
    Parts = {
        door = {
            model = "models/FuzzyLeo/EdgeOfReality/ExteriorJodieDoorsHollow.mdl",
            posoffset=Vector(-26.632, 0, -48)
        }
    },
	Sounds={
        Door={
			enabled=true,
			open="FuzzyLeo/EdgeOfReality/CoolyDude/eot_door_open.mp3",
			close="FuzzyLeo/EdgeOfReality/CoolyDude/eot_door_close_3.mp3",
            locked = "FuzzyLeo/EdgeOfReality/EORDoorLock.mp3"
		},
        FlightLand = "p00gie/tardis/default/tardis_land.ogg",
	},
    ProjectedLight = {
        --color = Color(r,g,b), --Base color. Will use main interior light if not set.
        --warncolor = Color(r,g,b), --Warning color. Will use main interior warn color if not set.
        brightness = 0.1, --Light's brightness
        vertfov = 90,
        horizfov = 60, --vertical and horizontal field of view of the light. Will default to portal height and width.
        farz = 450, --FarZ property of the light. Determines how far the light projects.]]
        offset = Vector(-18, 0, 40), --Offset from box origin
        texture = "effects/flashlight/square" --Texture the projected light will use. You can get these from the Lamp tool.
    },
    Light={
        enabled=true,
        pos=Vector(0, 0, 113),
        color = Color(4,50,168),
    },
    Portal = {
        -- Generated by portals debug tool
        pos = Vector(26.632, 0, 48),
        ang = Angle(0, 0, 0),
        width = 42,
        height = 84.6,
        thickness = 35,
        inverted = true,
    },

    TextureSets = {
        ["normal"] = {
            prefix = "models/FuzzyLeo/EdgeOfReality/",

            { "self", 0, "tardis" },
            { "door", 0, "tardis" },

            { "self", 2, "tardis_white" },
            { "door", 3, "tardis_white" },

            { "self", 4, "tardis_alt1" },
            { "door", 5, "tardis_alt1" },

            { "self", 5, "tardis_alt2" },
            { "door", 6, "tardis_alt2" },

            { "self", 6, "tardis_alt3" },
            { "door", 7, "tardis_alt3" },

            { "self", 7, "tardis_alt4" },
            { "door", 8, "tardis_alt4" },

        },
        ["flight"] = {
            prefix = "models/FuzzyLeo/EdgeOfReality/",
            base = "normal",
        },
        ["warning_flight"] = {
            prefix = "models/FuzzyLeo/EdgeOfReality/warning/",
            base = "normal",
        },
        ["poweroff"] = {
            prefix = "models/FuzzyLeo/EdgeOfReality/off/",
            base = "normal",
        },
        ["warning_off"] = {
            prefix = "models/FuzzyLeo/EdgeOfReality/off/",
            base = "normal",
        },
        ["warning"] = {
            prefix = "models/FuzzyLeo/EdgeOfReality/warning/",
            base = "normal",
        },
    },

    CustomHooks = {
        travel_textures = {
            exthooks = {
                ["PostInitialize"] = true,
                ["PowerToggled"] = true,
                ["HealthWarningToggled"] = true,
                ["DematStart"] = true,
                ["MatStart"] = true,
                ["PreMatStart"] = true,
                ["StopDemat"] = true,
                ["StopMat"] = true,
                ["InterruptTeleport"] = true,
            },
            func = function(ext, int, data_id, data_value)
                local flight = ext:GetData("flight")
                local teleport = ext:GetData("teleport")
                local vortex = ext:GetData("vortex")
                local power = ext:GetData("power-state")
                local warning = ext:GetData("health-warning", false)
                local active = flight or teleport or vortex

                local selected = "normal"

                if not power then
                    selected = "poweroff"
                elseif warning and active then
                    selected = "warning_flight"
                elseif warning then
                    selected = "warning"
                elseif active then
                    selected = "flight"
                end

                int:ApplyTextureSet(selected)
                ext:ApplyTextureSet(selected)
            end
        },
    }
}

TARDIS:AddExterior(E)